Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024383
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-07-19 08:382013-07-24 17:23
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisioncfbb10b9a2e5
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024383: Not able ot complete a receipt and quotation having 0.00 total amount

DescriptionNot able ot complete a receipt and quotation having 0.00 total amount
Steps To Reproduce1) Create a receipt using products having 100% discount, so that the total gross amount is zero.

2) Then try to complete the receipt by clicking the "Done" button

Defect: One can find, "Uncaught TypeError...." appears in the screen

Note: Also not able to complete Quotation having total gross amount as zero.
TagsNo tags attached.
Attached Filespng file icon Not able ot complete a receipt having 0.00 total amount.png [^] (265,877 bytes) 2013-07-19 08:38

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060121)
hgbot (developer)
2013-07-19 09:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cfbb10b9a2e50e391a7c4519b8c0e054b4df5577
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 09:43:40 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cfbb10b9a2e50e391a7c4519b8c0e054b4df5577 [^]

Fixed issue 24383. Orders with total amount of zero will now work correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060134)
guilleaer (developer)
2013-07-22 09:03

verified
(0060251)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: cfbb10b9a2e50e391a7c4519b8c0e054b4df5577
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 09:43:40 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/cfbb10b9a2e50e391a7c4519b8c0e054b4df5577 [^]

Fixed issue 24383. Orders with total amount of zero will now work correctly

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060268)
guilleaer (developer)
2013-07-24 17:23

reclosing

- Issue History
Date Modified Username Field Change
2013-07-19 08:38 sureshbabu New Issue
2013-07-19 08:38 sureshbabu Assigned To => marvintm
2013-07-19 08:38 sureshbabu File Added: Not able ot complete a receipt having 0.00 total amount.png
2013-07-19 09:43 hgbot Checkin
2013-07-19 09:43 hgbot Note Added: 0060121
2013-07-19 09:43 hgbot Status new => resolved
2013-07-19 09:43 hgbot Resolution open => fixed
2013-07-19 09:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cfbb10b9a2e50e391a7c4519b8c0e054b4df5577 [^]
2013-07-22 09:03 guilleaer Review Assigned To => guilleaer
2013-07-22 09:03 guilleaer Note Added: 0060134
2013-07-22 09:03 guilleaer Status resolved => closed
2013-07-22 09:03 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060251
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cfbb10b9a2e50e391a7c4519b8c0e054b4df5577 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/cfbb10b9a2e50e391a7c4519b8c0e054b4df5577 [^]
2013-07-24 17:23 guilleaer Note Added: 0060268
2013-07-24 17:23 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker